#!/bin/bash

INSTALL_DIR="/usr/share/Amnezichat"
CURRENT_DIR=$(pwd)
TARGET_DIR="$CURRENT_DIR/Amnezichat"

mkdir -p "$TARGET_DIR"

echo "Copying files from $INSTALL_DIR to $TARGET_DIR..."
cp -r "$INSTALL_DIR/." "$TARGET_DIR"

chmod -R 777 "$TARGET_DIR"

cd "$TARGET_DIR" || { echo "Failed to change directory to $TARGET_DIR"; exit 1; }

echo "Running Amnezichat from $TARGET_DIR..."
./Amnezichat "$@"
